Bug 246149 - math/gap: upgrade to 4.11.0
Summary: math/gap: upgrade to 4.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-03 20:00 UTC by Thierry Thomas
Modified: 2020-05-23 12:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
Patch to upgrade GAP to 4.11.0 (658.08 KB, patch)
2020-05-03 20:00 UTC, Thierry Thomas
no flags Details | Diff
Poudriere log (52.84 KB, text/plain)
2020-05-03 20:03 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-05-03 20:00:54 UTC
Created attachment 214070 [details]
Patch to upgrade GAP to 4.11.0

The attached patch brings GAP to 4.11.0.

Changelog (for the latest) at:
https://github.com/gap-system/gap/blob/master/CHANGES.md#gap-4110-february-2020

Remarks:
- it installs the standard packages set, as expected for an out-of-the-box
  installation;

- an option is available for a minimum set of packages;

- the dynamic plist has been replaced by a static one, excepted for docs,
  so that you can really see what you will get;

- there are too many shebangs to fix! SHEBANG_FILES is set to "." and this
  is a bit slow, but no better way has been found.
Comment 1 Thierry Thomas freebsd_committer 2020-05-03 20:03:36 UTC
Created attachment 214071 [details]
Poudriere log
Comment 2 Automation User 2020-05-19 00:16:04 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147335851
Comment 3 commit-hook freebsd_committer 2020-05-23 12:36:32 UTC
A commit references this bug:

Author: arrowd
Date: Sat May 23 12:35:45 UTC 2020
New revision: 536296
URL: https://svnweb.freebsd.org/changeset/ports/536296

Log:
  math/gap: Update to 4.11.0

  PR:		246149
  Submitted by:	thierry
  Approved by:	hrs (maintainer timeout)

Changes:
  head/math/gap/Makefile
  head/math/gap/distinfo
Comment 4 Gleb Popov freebsd_committer 2020-05-23 12:38:23 UTC
I took the liberty to commit this.

Tested on 13-CURRENT amd64 and 11.3-RELEASE i386.